<template>
    <div>
        <van-search placeholder="请输入搜索关键词"
            background="#fff"
            shape="round"
            @search="onSearch"
            show-action v-model="searchValue">
            <div slot="action" @click="onSearch">搜索</div>
        </van-search>
    </div>
</template>
<script>

export default {
    props:['background'],
    data() {
        return {
        searchValue: "",
        color:'#fff'
        };
    },
    mounted(){
    },
    methods: {
        onSearch() {
            this.$emit("onSearch", this.searchValue);
        }
    }
};
</script>
<style lang="less" scope>
@import url("../assets/commonLess/variable.less");
.squrt {
    width: 0.14rem;
    height: 0.12rem;
    margin-left: 0.1rem;
}
.van-search {
    padding: 0.13rem 0.16rem;
}
/deep/.van-search__action {
    color: @tFontColor;
}
.van-icon-search {
  color: @mColor;
}
</style>